import * as i0 from '@angular/core';
import { Injectable, Component, ContentChild, Input, NgModule } from '@angular/core';

class SbtGpsService {
    constructor() {
        this.markerArray = [];
    }
    async getGPSFromAddress(address, map) {
        const geocoderObject = new google.maps.Geocoder();
        geocoderObject.geocode({ 'address': address }, (response, status) => {
            if (status === 'OK') {
                map.setCenter(response[0].geometry.location);
                var markerObject = new google.maps.Marker({ map: map, position: response[0].geometry.location });
                this.markerArray.push(markerObject);
            }
        });
    }
}
SbtGpsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.3", ngImport: i0, type: SbtGpsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
SbtGpsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.3", ngImport: i0, type: SbtGpsService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.3", ngImport: i0, type: SbtGpsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class SbtGpsComponent {
    constructor(sbtGpsService) {
        this.sbtGpsService = sbtGpsService;
    }
    ngOnInit() {
    }
    ngAfterViewInit() {
        this.mapObject = new google.maps.Map(this.googlemap.nativeElement, {
            center: { lat: this.latitude, lng: this.longitude },
            disableDefaultUI: false,
            zoom: this.zoom,
        });
        // Remove the other marker in the map
        this.mapObject.setOptions({
            styles: [
                {
                    featureType: 'poi',
                    elementType: 'labels',
                    stylers: [
                        { visibility: 'off' }
                    ]
                }
            ]
        });
    }
}
SbtGpsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.3", ngImport: i0, type: SbtGpsComponent, deps: [{ token: SbtGpsService }], target: i0.ɵɵFactoryTarget.Component });
SbtGpsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.3", type: SbtGpsComponent, selector: "sbt-gps", inputs: { latitude: "latitude", longitude: "longitude", zoom: "zoom" }, queries: [{ propertyName: "googlemap", first: true, predicate: ["googlemap"], descendants: true }], ngImport: i0, template: `
    <ng-content></ng-content>
  `, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.3", ngImport: i0, type: SbtGpsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sbt-gps', template: `
    <ng-content></ng-content>
  ` }]
        }], ctorParameters: function () { return [{ type: SbtGpsService }]; }, propDecorators: { googlemap: [{
                type: ContentChild,
                args: ['googlemap']
            }], latitude: [{
                type: Input
            }], longitude: [{
                type: Input
            }], zoom: [{
                type: Input
            }] } });

class SbtGpsModule {
}
SbtGpsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.3", ngImport: i0, type: SbtGpsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SbtGpsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.3", ngImport: i0, type: SbtGpsModule, declarations: [SbtGpsComponent], exports: [SbtGpsComponent] });
SbtGpsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.3", ngImport: i0, type: SbtGpsModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.3", ngImport: i0, type: SbtGpsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        SbtGpsComponent
                    ],
                    imports: [],
                    exports: [
                        SbtGpsComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of sbt-gps
 */

/**
 * Generated bundle index. Do not edit.
 */

export { SbtGpsComponent, SbtGpsModule, SbtGpsService };
//# sourceMappingURL=sbt-gps.mjs.map
